Pack
All operations require authentication.
List available servicesProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ siptrunk \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get this object propertiesProduction
Path parameters
The internal name of your pack
Response
IAM resource metadata
Name of the SIP trunk pack
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ siptrunk/ {packName} \
-H "authorization: Bearer $OVH_TOKEN"{ "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "packName": "string"}
Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
The internal name of your pack
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ siptrunk/ {packName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The internal name of your pack
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ siptrunk/ {packName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The internal name of your pack
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ siptrunk/ {packName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"List xDSL packsProduction
List xDSL packs. Returns the names of the xDSL packs of the account. Each name is the packName used by the other pack calls.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an xDSL packProduction
Get an xDSL pack. Returns the pack name, its offer description and price, the customer description and the pack capabilities.
Path parameters
The internal name of your pack
Response
Capabilities of the pack
Customer pack description
IAM resource metadata
Name of the offer
Price of the offer
Name of the xdsl pack
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName} \
-H "authorization: Bearer $OVH_TOKEN"{ "capabilities": { "canChangeOffer": true, "canMoveAddress": true, "isLegacyOffer": true, "isResellerOffer": true }, "description": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "offerDescription": "string", "offerPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "packName": "string"}
Update an xDSL packProduction
Update an xDSL pack. Changes the settings that can be modified: the customer description of the pack.
Path parameters
The internal name of your pack
Request body (required)
Capabilities of the pack
Customer pack description
Name of the offer
Price of the offer
Name of the xdsl pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName} \
-H "authorization: Bearer $OVH_TOKEN"